Множественные уязвимости в Minimal Ablog

Дата публикации:
02.12.2008
Всего просмотров:
1692
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Minimal Ablog 0.x
Уязвимые версии: Minimal Ablog 0.4, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за отсутствия контроля доступа к сценариям в директории "admin/". Удаленный пользователь может изменить пароль администратора и загрузить произвольные файлы на систему. Для успешной эксплуатации уязвимости требуется определенная конфигурация Web сервера (например, модуль "mod_mime" для Apache).

URL производителя: code.google.com/p/minimal-ablog/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/7306

или введите имя

CAPTCHA